Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class BoolStack

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.BoolStack

public final class BoolStack
extends java.lang.Object
implements java.lang.Cloneable

Simple stack for boolean values.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`BoolStack()` Default constructor.
`BoolStack(int size)` Construct a IntVector, using the given block size.

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `isEmpty()` Tests if this stack is empty.
`boolean` | `peek()` Looks at the object at the top of this stack without removing it from the stack.
`boolean` | `peekOrFalse()` Looks at the object at the top of this stack without removing it from the stack.
`boolean` | `peekOrTrue()` Looks at the object at the top of this stack without removing it from the stack.
`boolean` | `pop()` Removes the object at the top of this stack and returns that object as the value of this function.
`boolean` | `popAndTop()` Removes the object at the top of this stack and returns the next object at the top as the value of this function.
`boolean` | `push(boolean val)` Pushes an item onto the top of this stack.
`void` | `setTop(boolean b)` Set the item at the top of this stack
`int` | `size()` Get the length of the list.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoolStack

    public BoolStack()

  Default constructor. Note that the default block size is very small, for small lists.

### BoolStack

    public BoolStack(int size)

  Construct a IntVector, using the given block size.

  Parameters:
    `size` - array size to allocate

Method Detail

### size

    public final int size()

  Get the length of the list.

  Returns:
    Current length of the list

### push

    public final boolean push(boolean val)

  Pushes an item onto the top of this stack.

  Parameters:
    `val` - the boolean to be pushed onto this stack.
  Returns:
    the `item` argument.

### pop

    public final boolean pop()

  Removes the object at the top of this stack and returns that object as the value of this function.

  Returns:
    The object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### popAndTop

    public final boolean popAndTop()

  Removes the object at the top of this stack and returns the next object at the top as the value of this function.

  Returns:
    Next object to the top or false if none there

### setTop

    public final void setTop(boolean b)

  Set the item at the top of this stack

  Parameters:
    `b` - Object to set at the top of this stack

### peek

    public final boolean peek()

  Looks at the object at the top of this stack without removing it from the stack.

  Returns:
    the object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### peekOrFalse

    public final boolean peekOrFalse()

  Looks at the object at the top of this stack without removing it from the stack. If the stack is empty, it returns false.

  Returns:
    the object at the top of this stack.

### peekOrTrue

    public final boolean peekOrTrue()

  Looks at the object at the top of this stack without removing it from the stack. If the stack is empty, it returns true.

  Returns:
    the object at the top of this stack.

### isEmpty

    public boolean isEmpty()

  Tests if this stack is empty.

  Returns:
    `true` if this stack is empty; `false` otherwise.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference